org.apache.lucene.luke.app.desktop.components

## Class MenuBarProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.MenuBarProvider

-     public final class MenuBarProvider
      extends Object

  Provider of the MenuBar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuBarProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMenuBar` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuBarProvider

          public MenuBarProvider()
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public JMenuBar get()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.